## ktp-text-ui 15.12.3

=== CMakeLists.txt ===
project(ktp-text-ui)

cmake_minimum_required(VERSION 2.8.12)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KTP_TEXT_UI_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
set(IS_KTP_INTERNAL_MODULE TRUE)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package (KF5 REQUIRED COMPONENTS Archive Sonnet WidgetsAddons Service Emoticons
                                      KIO KCMUtils NotifyConfig Notifications I18n
                                      WebKit WindowSystem XmlGui ItemViews TextWidgets
                                      IconThemes DBusAddons)
find_package (Qt5 REQUIRED COMPONENTS WebKitWidgets)
find_package(Qt5 ${QT_REQUIRED_VERSION} OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
endif()
find_package (KTp REQUIRED)

find_package (KF5People)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMSetupVersion)
include(FeatureSummary)

set_package_properties(KF5People PROPERTIES DESCRIPTION "KDE Contacts aggregation"
                       TYPE OPTIONAL
)

if (KF5People_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
endif ()

add_subdirectory(image-sharer)
add_subdirectory(lib)
add_subdirectory(app)
add_subdirectory(config)
add_subdirectory(data)
add_subdirectory(adiumxtra-protocol-handler)
add_subdirectory(filters)
add_subdirectory(logviewer)

ecm_setup_version(${KTP_TEXT_UI_VERSION} VARIABLE_PREFIX KTP_TEXT_UI
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktptextui_version.h")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)
include_directories(${CMAKE_SOURCE_DIR}/image-sharer)

set(ktp-text-ui_SRCS
        main.cpp
        telepathy-chat-ui.cpp
        chat-window.cpp
        chat-tab.cpp
        emoticon-text-edit-action.cpp
        emoticon-text-edit-selector.cpp
        invite-contact-dialog.cpp
)

set (ktp-text-ui_LIBS
        Qt5::WebKit
        KF5::CoreAddons
        KF5::I18n
        KF5::KIOWidgets
        KF5::ConfigWidgets
        KF5::Emoticons
        KF5::WidgetsAddons
        KTp::CommonInternals
        KTp::Models
        KTp::Widgets
        KTp::OTR
        KF5::NotifyConfig
        KF5::KCMUtils
        ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS}
        ktpchat
)

if(KF5People_FOUND)
    set (ktp-text-ui_LIBS
        ${ktp-text-ui_LIBS}
        KF5::PeopleWidgets
    )
endif()

add_executable(ktp-text-ui ${ktp-text-ui_SRCS})

target_link_libraries(ktp-text-ui
            ${ktp-text-ui_LIBS})

configure_file(org.freedesktop.Telepathy.Client.KTp.TextUi.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TextUi.service)

install(TARGETS ktp-text-ui DESTINATION ${LIBEXEC_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TextUi.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES KTp.TextUi.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
install(FILES chatwindow.rc
  DESTINATION  ${KXMLGUI_INSTALL_DIR}/ktp-text-ui/)

=== filters/CMakeLists.txt ===
add_subdirectory(bugzilla)
add_subdirectory(emoticons)
add_subdirectory(formatting)
add_subdirectory(images)
add_subdirectory(latex)
add_subdirectory(searchexpansion)
add_subdirectory(youtube)
add_subdirectory(highlight)
add_subdirectory(urlexpansion)
add_subdirectory(otr)

if (Qt5TextToSpeech_FOUND)
   add_subdirectory(texttospeech)
endif()

=== logviewer/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)

set(ktp-log-viewer_SRCS
        main.cpp
        log-viewer.cpp
        logs-import-dialog.cpp
        dates-model.cpp
        dates-view-delegate.cpp
        entity-model.cpp
        message-view.cpp
        entity-view.cpp
        entity-view-delegate.cpp
        entity-filter-model.cpp
        person-entity-merge-model.cpp
)

add_subdirectory(config)

ki18n_wrap_ui(ktp-log-viewer_SRCS log-viewer.ui)

add_executable(ktp-log-viewer ${ktp-log-viewer_SRCS})

target_link_libraries(ktp-log-viewer
            KF5::I18n
            KF5::ConfigCore
            KF5::ItemViews
            KF5::CoreAddons
            KF5::DBusAddons
            KF5::KIOWidgets
            KF5::Emoticons
            KF5::KCMUtils
            KF5::WebKit
            KTp::CommonInternals
            KTp::Logger
            KTp::Models
            ktpchat)

install(TARGETS ktp-log-viewer DESTINATION ${BIN_INSTALL_DIR})
install(FILES org.kde.ktplogviewer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES log-viewer.rc DESTINATION  ${DATA_INSTALL_DIR}/ktp-log-viewer/)

=== config/appearance/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ktp_chat_appearance\")

set(kcm_ktp_chat_appearance_SRCS appearance-config-tab.cpp appearance-config.cpp)
set(kcm_ktp_chat_appearance_UI appearance-config.ui)

ki18n_wrap_ui(kcm_ktp_chat_appearance_SRCS ${kcm_ktp_chat_appearance_UI})
add_library(kcm_ktp_chat_appearance MODULE ${kcm_ktp_chat_appearance_SRCS})

target_link_libraries(kcm_ktp_chat_appearance
    Qt5::WebKitWidgets
    KF5::KCMUtils
    KF5::WidgetsAddons
    KF5::IconThemes
    ktpchat
)

install(TARGETS
        kcm_ktp_chat_appearance
    DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES
        kcm_ktp_chat_appearance.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== config/messages/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ktp_chat_messages\")

set(kcm_ktp_chat_messages_SRCS messages-config.cpp)

add_library(kcm_ktp_chat_messages MODULE ${kcm_ktp_chat_messages_SRCS})

target_link_libraries(kcm_ktp_chat_messages
    KF5::KCMUtils
    KTp::CommonInternals
    ktpchat
)

install(TARGETS
        kcm_ktp_chat_messages
    DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES
        kcm_ktp_chat_messages.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-text-ui (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add missing epoch libktp-dev. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:12:23 -0700

ktp-text-ui (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Merged with Debian
    - Added epoch which only seems to be used in Kubuntu
  * New upstream release
  * Added lintian overrides to ignore warnings about privite libs

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:22:38 +0100

ktp-text-ui (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file.
  * Bump Standards-Version to 3.9.6.
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:47 +0100

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               dh-linktree,
               extra-cmake-modules (>= 1.3.0~),
               kio-dev,
               libjs-jquery,
               libkf5archive-dev,
               libkf5dbusaddons-dev,
               libkf5emoticons-dev (>= 5.16-2),
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5webkit-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 4:15.12),
               libqjson-dev,
               libqt5webkit5-dev (>= 5.4),
               libqtwebkit-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 0.8.0),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-text-ui.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-text-ui.git

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-text-ui-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing
	dh_linktree

## ktp-text-ui 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "15")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MAJOR "16")
+set(KDE_APPLICATIONS_VERSION_MINOR "04")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_TEXT_UI_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
@@ -28,7 +28,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMSetupVersion)
 include(FeatureSummary)

=== debian/changelog ===
ktp-text-ui (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix merge. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Overriding lintian error package-must-activate-ldconfig-trigger
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:37:32 +0200

ktp-text-ui (15.12.2-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 01 May 2016 20:35:44 -0700

ktp-text-ui (15.12.1-2) experimental; urgency=medium

  * Bump build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 09:04:32 +0100

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               dh-linktree,
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libjs-jquery,
               libkf5archive-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5emoticons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5people-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5sonnet-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5webkit-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libktp-dev (>= 4:16.04.3~),
               libqjson-dev,
               libqt5webkit5-dev (>= 5.4),
               libqtwebkit-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 0.8.0),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-text-ui 16.12.3

=== debian/changelog ===
ktp-text-ui (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:25 +0000

ktp-text-ui (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:22 +0000

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               dh-linktree,
               extra-cmake-modules (>= 5.31.0~),
               libjs-jquery,
               libkf5archive-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libktp-dev (>= 4:16.12.3~),
               libqjson-dev,
               libqt5webkit5-dev (>= 5.4),
               libqtwebkit-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 0.8.0),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	$(overridden_command) --destdir=debian/tmp
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kde-telepathy-text-ui-dbg (<= 15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kde-telepathy-text-ui-dbg (<= 15.12.1-1~~)'
 
 override_dh_install:
 	$(overridden_command) --fail-missing

## ktp-text-ui 17.04.3

=== debian/changelog ===
ktp-text-ui (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Update build deps following port to qtwebengine from webkit

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * Add Breaks/Replces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:54 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                libkf5emoticons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5notifications-dev (>= 5.31.0~),
@@ -23,21 +22,17 @@
                libkf5people-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libqjson-dev,
-               libqt5webkit5-dev (>= 5.4),
-               libqtwebkit-dev,
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 0.8.0),
                libtelepathy-qt5-dev (>= 0.9.5),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
+               qtpositioning5-dev (>= 5.6.1~),
+               qtwebengine5-dev
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
@@ -50,6 +45,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: kde-telepathy
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Telepathy text chat UI for the KDE Plasma Desktop
  This package provides a telepathy handler for text channels, a program
  that in other words allows you to chat with your contacts using instant

## ktp-text-ui 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "16")
-set(KDE_APPLICATIONS_VERSION_MINOR "04")
+set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MINOR "08")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_TEXT_UI_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
@@ -15,9 +15,10 @@
 
 find_package (KF5 REQUIRED COMPONENTS Archive Sonnet WidgetsAddons Service Emoticons
                                       KIO KCMUtils NotifyConfig Notifications I18n
-                                      WebKit WindowSystem XmlGui ItemViews TextWidgets
+                                      WindowSystem XmlGui ItemViews TextWidgets
                                       IconThemes DBusAddons)
-find_package (Qt5 REQUIRED COMPONENTS WebKitWidgets)
+set(QT_REQUIRED_VERSION 5.7.0)
+find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS WebEngine WebEngineWidgets)
 find_package(Qt5 ${QT_REQUIRED_VERSION} OPTIONAL_COMPONENTS TextToSpeech)
 if (NOT Qt5TextToSpeech_FOUND)
     message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
@@ -39,6 +40,7 @@
 if (KF5People_FOUND)
     add_definitions(-DHAVE_KPEOPLE)
 endif ()
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 add_subdirectory(image-sharer)
 add_subdirectory(lib)
@@ -53,3 +55,4 @@
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktptextui_version.h")
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== lib/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/image-sharer)

add_definitions(-DTRANSLATION_DOMAIN=\"ktpchat\")

set(ktpchat_SRCS
        chat-widget.cpp
        chat-window-style.cpp
        chat-window-style-manager.cpp
        adium-theme-view.cpp
        adium-theme-header-info.cpp
        adium-theme-message-info.cpp
        adium-theme-content-info.cpp
        adium-theme-status-info.cpp
        channel-contact-model.cpp
        chat-style-plist-file-reader.cpp
        chat-text-edit.cpp
        chat-search-bar.cpp
        contact-delegate.cpp
        notify-filter.cpp
        text-chat-config.cpp
        proxy-service.cpp
        otr-status.cpp
        authenticationwizard.cpp
        otr-notifications.cpp
        ktp-debug.cpp
        emoticons-manager.cpp
        )

set(ktpchat_UI
    chat-widget.ui
    keygendialog.ui
)

ki18n_wrap_ui(ktpchat_SRCS ${ktpchat_UI})

add_library(ktpchat SHARED ${ktpchat_SRCS})

target_link_libraries(ktpchat
    KF5::KIOWidgets
    KF5::KIOCore
    KF5::I18n
    KF5::Emoticons
    KF5::IconThemes
    KF5::Archive
    KF5::SonnetCore
    KF5::Notifications
    KF5::TextWidgets
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::WindowSystem
    KF5::XmlGui #for KActionCollection
    KTp::CommonInternals
    KTp::Logger
    KTp::OTR
    KTp::Widgets
    Qt5::WebEngineWidgets
    ktpimagesharer
)
install(TARGETS ktpchat ${INSTALL_TARGETS_DEFAULT_ARGS})


install(FILES
        ktptxtui_message_filter.desktop
        DESTINATION
        ${SERVICETYPES_INSTALL_DIR}
)

=== filters/bugzilla/CMakeLists.txt ===
add_library (ktptextui_message_filter_bugzilla MODULE bugzilla-filter.cpp)

target_link_libraries (ktptextui_message_filter_bugzilla
    KF5::KIOWidgets
    KTp::CommonInternals
)

# Install:
install (TARGETS ktptextui_message_filter_bugzilla
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_bugzilla.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_bugzilla.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_bugzilla.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

install (FILES showBugzillaInfo.js
         DESTINATION ${DATA_INSTALL_DIR}/ktelepathy)

=== debian/changelog ===
ktp-text-ui (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Add the libqt5texttospeech5-dev build dependency, to enable the
    text-to-speech functionality.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 20:10:27 +0200

ktp-text-ui (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Remove unused build dependencies: libkf5wallet-dev, libkf5webkit-dev,
    libqjson-dev, libqt5webkit5-dev, and libqtwebkit-dev.
  * Simplify the way any bindled jquery.js is replaced with a symlink to the
    system version: dynamically search and replace any file, instead of
    maintaining a static list
    - drop the usage of dh_linktree, and the dh-linktree build dependency
    - remove the libjs-jquery build dependency, as it is not needed during
      build
  * Update lintian overrides.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:04:15 +0100

ktp-text-ui (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Drop soon to be deprecated fail-missing
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:20 +0200

ktp-text-ui (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:43:33 +0200

ktp-text-ui (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs

  [ Maximiliano Curia ]
  * Add new lintian-override for the private library

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:14:35 +0200

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.3.0~),
               libkf5archive-dev,
               libkf5dbusaddons-dev,
               libkf5emoticons-dev (>= 5.16-2),
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 17.08.3~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: libktpchat0, ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-text-ui 17.08.3.1%2Brb2

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
                pkg-kde-tools (>= 0.9),
                qtbase5-dev,
                qtwebengine5-dev (>= 5.7.0~),
+	       qtspeech5-speechd-plugin
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui.git

## ktp-text-ui 17.08.3.1+rb2

=== debian/changelog ===
ktp-text-ui (17.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 13:54:32 +0800

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-text-ui-dbg (<= 15.12.1-1~~)'

override_dh_auto_install:
	$(overridden_command)
	find debian/kde-telepathy-text-ui -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;

## ktp-text-ui 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # KDE Application Version, managed by release script
 set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "08")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_TEXT_UI_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")

=== logviewer/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
             KF5::KIOWidgets
             KF5::Emoticons
             KF5::KCMUtils
-            KF5::WebKit
             KTp::CommonInternals
             KTp::Logger
             KTp::Models

=== config/appearance/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 add_library(kcm_ktp_chat_appearance MODULE ${kcm_ktp_chat_appearance_SRCS})
 
 target_link_libraries(kcm_ktp_chat_appearance
-    Qt5::WebKitWidgets
+    Qt5::WebEngineWidgets
     KF5::KCMUtils
     KF5::WidgetsAddons
     KF5::IconThemes

=== config/behavior/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ktp_chat_behavior\")

set(kcm_ktp_chat_behavior_SRCS behavior-config.cpp)
set(kcm_ktp_chat_behavior_UI behavior-config.ui)

ki18n_wrap_ui(kcm_ktp_chat_behavior_SRCS ${kcm_ktp_chat_behavior_UI})
add_library(kcm_ktp_chat_behavior MODULE ${kcm_ktp_chat_behavior_SRCS})

target_link_libraries(kcm_ktp_chat_behavior
    KF5::TextWidgets
    KF5::KCMUtils
    ktpchat
    ktpimagesharer
)

install(TARGETS
        kcm_ktp_chat_behavior
    DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES
        kcm_ktp_chat_behavior.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== filters/otr/CMakeLists.txt ===
add_library (ktptextui_message_filter_otr MODULE otr-filter.cpp)

target_link_libraries (ktptextui_message_filter_otr
    KF5::KIOWidgets
    KF5::I18n
    KF5::CoreAddons
    KTp::CommonInternals
    KTp::OTR
)

# Install:
install (TARGETS ktptextui_message_filter_otr
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_otr.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_otr.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_otr.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-text-ui (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:47 +0000

ktp-text-ui (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Build with Qt5TextToSpeech support
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:34 +0000

ktp-text-ui (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:14 +0000

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               dh-linktree,
               extra-cmake-modules (>= 5.31.0~),
               libjs-jquery,
               libkf5archive-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libktp-dev (>= 4:17.12.3~),
               libqjson-dev,
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 0.8.0),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-text-ui-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing
	dh_linktree

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-text-ui-([\d.]+)\.tar\.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-text-ui-([\d.]+).tar.xz

## ktp-text-ui 18.04.3

=== debian/changelog ===
ktp-text-ui (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:51 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:17.12.3~),
+               libktp-dev (>= 4:18.04.3~),
                libqjson-dev,
                libqt5texttospeech5-dev,
                libtelepathy-logger-dev,
@@ -33,7 +33,7 @@
                pkg-kde-tools (>= 0.9),
                qtbase5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
-               qtwebengine5-dev
+               qtwebengine5-dev,
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

## ktp-text-ui 18.12.3

=== debian/changelog ===
ktp-text-ui (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:33:33 +0000

ktp-text-ui (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:36 +0000

ktp-text-ui (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:21 +0000

ktp-text-ui (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:36 +0000

ktp-text-ui (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 12:51:35 +0000

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev,
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 4:18.12.3~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: libktpchat0, ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-text-ui 19.04.3

=== debian/changelog ===
ktp-text-ui (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:19:12 +0100

ktp-text-ui (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:13:09 +0100

ktp-text-ui (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:47 +0100

ktp-text-ui (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:48:28 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:18.12.3~),
+               libktp-dev (>= 4:19.04.3~),
                libqt5texttospeech5-dev,
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),

## ktp-text-ui 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MAJOR "19")
 set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_TEXT_UI_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== filters/formatting/CMakeLists.txt ===
add_library (ktptextui_message_filter_formatting MODULE format-filter.cpp)

target_link_libraries (ktptextui_message_filter_formatting
    KTp::CommonInternals
    KF5::CoreAddons
)

# Install:
install (TARGETS ktptextui_message_filter_formatting
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_formatting.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_formatting.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_formatting.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== filters/latex/CMakeLists.txt ===
kconfig_add_kcfg_files(ktptextui_message_filter_latex_SRCS latexconfig.kcfgc)

add_library(ktptextui_message_filter_latex MODULE latex-filter.cpp
                 ${ktptextui_message_filter_latex_SRCS}
)

target_link_libraries (ktptextui_message_filter_latex
    ktpchat
    Qt5::Gui
    KTp::CommonInternals
    KF5::CoreAddons
    KF5::KCMUtils
)

kconfig_add_kcfg_files(kcm_ktptextui_message_filter_latex_SRCS latexconfig.kcfgc)

ki18n_wrap_ui(kcm_ktptextui_message_filter_latex_SRCS
    latex-config.ui
)

add_library(kcm_ktptextui_message_filter_latex MODULE latex-config.cpp
                 ${kcm_ktptextui_message_filter_latex_SRCS}
)

target_link_libraries (kcm_ktptextui_message_filter_latex
    ktpchat
)

# Install:
install (TARGETS ktptextui_message_filter_latex
                 kcm_ktptextui_message_filter_latex
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_latex.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_latex.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_latex.desktop
               ${CMAKE_CURRENT_SOURCE_DIR}/kcm_ktptextui_message_filter_latex.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-text-ui (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:15:38 +0000

ktp-text-ui (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:59 +0000

ktp-text-ui (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:59:16 +0000

ktp-text-ui (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:52:57 +0000

ktp-text-ui (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:37:37 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:19.04.3~),
+               libktp-dev (>= 4:19.12.3~),
                libqt5texttospeech5-dev,
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),
